Skip to main content
POST

Lookup an update by its offset. If there is no update with this offset, or all the events are filtered, an UPDATE_NOT_FOUND error will be raised.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Body

application/json
number
required
OpenAPI type: integer (int64).The offset of the update being looked up. Must be a valid absolute offset (positive integer). Required
object
required
OpenAPI type: UpdateFormat.A format specifying what updates to include and how to render them.

Responses

200

application/json
Update

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The POST /v2/updates/update-by-offset operation was updated in this snapshot.

Added3.4